summaryrefslogtreecommitdiffstats
path: root/source/a/efibootmgr
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/efibootmgr')
-rwxr-xr-xsource/a/efibootmgr/efibootmgr.SlackBuild4
-rw-r--r--source/a/efibootmgr/efibootmgr.efi_set_verbose.diff12
-rwxr-xr-xsource/a/efibootmgr/fetch-efibootmgr.sh47
3 files changed, 48 insertions, 15 deletions
diff --git a/source/a/efibootmgr/efibootmgr.SlackBuild b/source/a/efibootmgr/efibootmgr.SlackBuild
index 5618c09de..4a9ac73d7 100755
--- a/source/a/efibootmgr/efibootmgr.SlackBuild
+++ b/source/a/efibootmgr/efibootmgr.SlackBuild
@@ -79,8 +79,6 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
-zcat $CWD/efibootmgr.efi_set_verbose.diff.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -92,7 +90,7 @@ find . \
export EFIDIR=/boot/efi
# Build:
-export EXTRA_CFLAGS="$SLKCFLAGS"
+export CFLAGS="$SLKCFLAGS -Wno-pointer-sign"
make mandir=/usr/man || exit 1
make install mandir=/usr/man DESTDIR=$PKG || exit 1
diff --git a/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff b/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff
deleted file mode 100644
index cea96487c..000000000
--- a/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff
+++ /dev/null
@@ -1,12 +0,0 @@
---- ./src/efibootmgr.c.orig 2018-06-10 15:12:10.000000000 -0500
-+++ ./src/efibootmgr.c 2018-12-31 13:23:27.284013090 -0600
-@@ -1536,9 +1536,6 @@
- "invalid numeric value %s\n",
- optarg);
- }
-- /* XXX efivar-36 accidentally doesn't have a public
-- * header for this */
-- extern int efi_set_verbose(int verbosity, FILE *errlog);
- efi_set_verbose(opts.verbose - 2, stderr);
- break;
- case 'V':
diff --git a/source/a/efibootmgr/fetch-efibootmgr.sh b/source/a/efibootmgr/fetch-efibootmgr.sh
new file mode 100755
index 000000000..995c81878
--- /dev/null
+++ b/source/a/efibootmgr/fetch-efibootmgr.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf efibootmgr
+
+# Clone repository:
+git clone https://github.com/rhboot/efibootmgr
+
+# checkout $BRANCH:
+( cd efibootmgr
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd efibootmgr && git log -1 --format=%h )"
+DATE="$( cd efibootmgr && git log -1 --format=%ad --date=format:%Y%m%d )"
+# Cleanup. We're not packing up the whole git repo.
+( cd efibootmgr && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv efibootmgr efibootmgr-${DATE}_${HEADISAT}
+tar cf efibootmgr-${DATE}_${HEADISAT}.tar efibootmgr-${DATE}_${HEADISAT}
+xz -9 -f efibootmgr-${DATE}_${HEADISAT}.tar
+rm -rf efibootmgr-${DATE}_${HEADISAT}
+echo
+echo "efibootmgr branch $BRANCH with HEAD at $HEADISAT packaged as efibootmgr-${DATE}_${HEADISAT}.tar.xz"
+echo